# Keymap to partially emulate MATLAB

%include keymap.normal

# These are the default bindings not already set in keymap.normal

'Shift-Return': 'shell-ctrl-return', 'new-line(auto_indent="never")'
'Ctrl-G': 'center-cursor'
'Ctrl-U': 'lower-case'
'Shift-Ctrl-U': 'upper-case'
'Ctrl-U': 'python_shell_clear(scope="entry")'
'Ctrl-/': 'python_shell_clear(scope="selection")'
'Ctrl-R'A: 'comment-block-toggle'
'Ctrl-T': 'comment-block-toggle'
'Ctrl-B': 'char-left'
'Ctrl-E': 'end-of-line'
'Ctrl-[': 'outdent-lines'
'Ctrl-]': 'indent-lines'
'F9': 'evaluate-sel-in-shell'
'Shift-F5': 'debug-kill'
'Ctrl-+': 'fold-expand-all'
'Ctrl-=': 'fold-collapse-all'
'Ctrl-.': 'fold-toggle'
'Ctrl-Shift-F': 'open-from-project'
'Ctrl-F': 'batch-search'
'Ctrl-H': 'batch-search'
'Shift-F1': 'find-symbol'
'Ctrl-Shift-F1': 'find-symbol-in-project'
'Ctrl-F1': 'show-panel(panel_type="sassist")'
'Alt-Down': 'next-points-of-use-match'
'Alt-Up': 'prev-points-of-use-match'
'Ctrl-G': 'goto-line'
'F1': 'show-panel(panel_type="source-assistant")'
'Ctrl-Shift-H': 'find-uses'
'Ctrl-K': 'delete-to-end-of-line'
'Ctrl-Shift-M': 'enter-fullscreen', 'exit-fullscreen'
'F2': 'goto-next-bookmark'
'Shift-F2': 'goto-previous-bookmark'
'Ctrl-Up': 'previous-block'
'Ctrl-Down': 'next-block'
'Ctrl-PageDown': 'next-document'
'Ctrl-PageUp': 'previous-document'
'Ctrl-Tab': 'next-tool'
'Ctrl-Shift-Tab': 'prev-tool'
'Ctrl-F6': 'next-tool'
'Ctrl-Shift-F6': 'prev-tool'
'Ctrl-D': 'open-filename-from-editor'
'Ctrl-Shift-Z': 'redo'
'Alt-Shift-Backspace': 'redo'
'Alt-Backspace': 'undo'
'Ctrl-Up': 'scroll-text-up'
'Ctrl-Down': 'scroll-text-down'
'Ctrl-F2': 'toggle-bookmark'
'F12': 'toggle-breakpoint'
'Shift-Tab': 'forward-tab'
'Ctrl-I': 'smart-tab'
'Ctrl-Shift-S': 'isearch-forward'
'Ctrl-Shift-R': 'isearch-backward'
'F10': 'step-over-statement'
'F11': 'step-into'
'Shift-F11': 'stop-out'
'F6': 'move-editor-focus'
'Tab': 'forward-tab'
'Ctrl-Shift-U': 'maximize-editor-to-window'
'Ctrl-Shift-D': 'unmaximize-editors-from-window'
'Ctrl-C': 'debug-stop'
'Ctrl-D': 'open-filename-from-editor'
'Alt-F4': 'quit'

# Approximations
# These two eval current %%'ed range, optionally moving current -> next also
'Ctrl-Enter': 'eval-sel-in-shell'
'Ctrl-Shift-Enter': 'eval-sel-in-shell'
#'Ctrl-Enter': 'evaluate-current-range-in-shell'
#'Ctrl-Shift-Enter': 'evaluate-current-range-in-shell(next=True)'

# Unimplemented
# Binding to just Escape key doesn't work:
#'Escape': 'stop-mark-command'
# Not sure what this is:
#'Alt-Right': 'move to next location'
